### Method

# ICalGLib Component get_timezone

since: 1.0

#### Declaration [src]

    ICalTimezone*
    i_cal_component_get_timezone (
      ICalComponent* comp,
      const gchar* tzid
    )

#### Description [src]

Returns the icaltimezone in the component corresponding to the TZID, or NULL if it can’t be found.

Available since: 1.0

#### Parameters

`tzid`

  Type: `const gchar*`

  A string representing timezone.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalTimezone`

A `ICalTimezone`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.